# Authority: VIP-ire
# Name: Daniel Berteaud

%define name smeserver-spectrum
%define version 0.1
%define release 1

Summary: multi-protocol XMPP transport
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-spectrum-0.1-fix_caracter_in_template.patch

BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03

Requires: smeserver-ejabberd
Requires: spectrum

%description
Spectrum is an XMPP transport/gateway. It allows XMPP
users to communicate with their friends who are using
one of the supported networks. It supports a wide range
of different networks such as ICQ, XMPP (Jabber, GTalk),
AIM, MSN, Facebook, Twitter, Gadu-Gadu, IRC and SIMPLE.
Spectrum is written in C++ and uses the Gloox XMPP
library and libpurple for “legacy networks”.

%changelog
* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- initiale release

%prep
%setup

%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
%preun
%postun

